package com.chelvc.framework.base.context;

import com.chelvc.framework.common.model.Enumerable;
import lombok.Getter;

/**
 * 使用类别枚举
 *
 * @author Woody
 * @date 2023/9/10
 */
@Getter
public enum Using implements Enumerable {
    /**
     * 历史首次
     */
    NEWLY("历史首次"),

    /**
     * 当日首次
     */
    DAILY("当日首次"),

    /**
     * 普通请求
     */
    NORMAL("普通请求");

    /**
     * 类别描述
     */
    private final String description;

    Using(String description) {
        this.description = description;
    }
}
